/*
(주)파이브센스_FIVESENSES.Corp.
파이브프로_FIVEPro_웹솔루션.
본 라이브러리(소스코드 및 디자인 포함)는 (주)파이브센스의 자산이며, 저작권법 및 부정경쟁방지법에 의해 보호됩니다.
무단 사용, 외부 유출, 복제, 배포, 변형을 금지합니다.
위반 시 민·형사상 법적 책임 및 손해배상 청구 대상이 됩니다.
작성일: 2025-03-18 | 저작권자: (주)파이브센스(520-86-01244) | All Rights Reserved.
*/

#realMain_p .widget-wrap .btn-wset{
    top: unset;
    bottom: 50px;
}

.main_mb4 {
    display: flex;
    flex-direction: column;
}

.main_mb4 .main_cont_container {
    position: relative;
    flex: 1;
    overflow: hidden;
}

/* 스와이프 */
.main_mb4 .swiper {
    z-index: 2;
    height: 100%;
    position: relative;
}

.main_mb4 .swiper-wrapper {
    height: 100%;
    display: flex;
    transition-property: transform;
}

.main_mb4 .swiper-slide {
    position: relative;
    z-index: 1;
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    transition-property: transform;
}

.main_mb4 .swiper-slide.swiper-slide-active {
    z-index: 2;
}

/* 스와이프 이미지 */
.main_mb4 .img_container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
}

.main_mb4 .img_container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 스와이프 동영상 */
.main_mb4 .iframe_container {
    height: 100%;
    overflow: hidden;
    position: relative;
}

.main_mb4 .iframe_container .iframe_container_inner {
    width: 100%;
    height: 100%;
    padding-bottom: 56.25%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mb4 .iframe_container iframe {
    position: absolute;
    left: 0;
    top: -60px;
    width: 100%;
    height: calc(100% + 120px);
    object-fit: cover;
}

/* 스와이프 동영상 요소이미지 */
.main_mb4 .iframe_container .itemSubVideoImg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mb4 .iframe_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    z-index: 1;
    cursor: grab;
}

/* 스와이프 정보 */
.main_mb4 .swiper_info_container {
    position: absolute;
    top: 40%;
    left: 50%;
    text-align: left;
    width: 100%;
    max-width: 1230px;
    padding: 0 15px;
    margin: 0 auto;
    transform: translateX(-50%);
    z-index: 2;
}

/* 스와이프 요소이미지 */
.main_mb4 .swiper_info_container .itemSubImg {
    width: auto;
    margin: 0 auto 30px 0;
}

/* 스와이프 타이틀 */
.main_mb4 .swiper_title {
    text-align: center;
}

.main_mb4 .swiper_title h2 {
    text-align: center;
    font-size: 76px;
    font-weight: bold;
    color: #fff;
    display: inline-block;
    width: auto;
	line-height:1.31;
}

/* 스와이프 서브타이틀 */
.main_mb4 .swiper_subtitle {
    margin-bottom: 80px;
}

.main_mb4 .swiper_subtitle h3 {
    font-size: 26px;
    font-weight: 500;
    color: #fff;
    display: inline-block;
    width: auto;
}

/* 스와이프 더보기 */
.main_mb4 .swiper_more {
    margin-bottom: 0px;
}

.main_mb4 .swiper_more a {
    font-size: 18px;
    font-weight: 500;
    color: #0c0c0c;
    background: #fff;
    border-radius: 10px;
    padding: 20px 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main_mb4 .swiper_more span {
    margin-left: 10px;
}

/* 스와이프 재생버튼 */
.main_mb4 .swiper_btn_container {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width:100%;
    max-width: 1850px;
    padding: 0 15px;
    margin: 0 auto;
}

.main_mb4 .swiper_btn {
    width: 48px;
    height: 48px;
    position: relative;
}

.main_mb4 .swiper_btn .main_svg {
    --progress: 0;
    position: absolute;
    left: 0;
    top: 0px;
    width: 100%;
    height: 100%;
    stroke-width: 2px;
    stroke: #fff;
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
    box-sizing: border-box;
}

.main_mb4 .swiper_btn .sub_svg {
    position: absolute;
    left: 0;
    top: 0px;
    width: 100%;
    height: 100%;
    stroke-width: 2px;
    stroke: rgba(255,255,255,0.5);
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
    box-sizing: border-box;
}

.main_mb4 .swiper_btn button {
    width: 100%;
    height: 100%;
    font-size: 20px;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mb4 .swiper_btn .icon_div {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.main_mb4 .swiper_btn .icon_div img {
    width: 8px;
}


/* 스와이프 페이지네이션 정보 */
.main_mb4 .swiper-pagination {
    position: relative;
    width: auto;
	top:-1px;
	letter-spacing:3px;
}

.main_mb4 .swiper-pagination-fraction {
    font-size: 17px;
    font-weight: 500;
    color: #fff;
    margin: 0 27px 0 20px;
}

/* 스와이프 화살표 정보 */
.main_mb4 .swiper_arr {
    display: flex;
    align-items: center;
}

.main_mb4 .swiper_arr p {
    color: rgba(255,255,255,0.5);
    font-size: 16px;
    margin: 0 20px;
}

.main_mb4 .swiper-button-next:after,
.main_mb4 .swiper-button-prev:after {
    font-size: 16px;
}

.main_mb4 .swiper-button-prev,
.main_mb4 .swiper-rtl .swiper-button-next {
    left: 0;
    right: 0;
}

.main_mb4 .swiper-button-next,
.main_mb4 .swiper-button-prev {
    position: static;
    width: auto;
    height: auto;
    margin-top: 0;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
}

/* 스크롤 화살표 */
.main_mb4 .swiper_scroll_container {
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
}

.main_mb4 .swiper_scroll_container p {
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    color: #fff;
}

.main_mb4 .swiper_scroll_container span {
    display: block;
    width: 1px;
    height: 80px;
    background: rgba(255,255,255,0.5);
    margin: 10px auto 0 auto;
    position: relative;
}

.main_mb4 .swiper_scroll_container span::before {
    content: "";
    width: 100%;
    height: 20%;
    background: #fff;
    position: absolute;
    top: 0;
    left: 0;
    animation: arrow-bounce 2.5s infinite ease-in-out;
}

@keyframes arrow-bounce {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(400%);
    }
}